# azure.mgmt.notificationhubs.operations module

class `azure.mgmt.notificationhubs.operations.``NamespacesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NamespacesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `check_availability`(parameters, custom_headers=None, raw=False, **operation_config)

    Checks the availability of the given service namespace across all Windows Azure subscriptions. This is useful because the domain name is created based on the service namespace name.

    Parameters:

    - parameters (`CheckAvailabilityParameters`) – The namespace name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CheckAvailabilityResource`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates/Updates a service namespace. Once created, this namespace’s resource manifest is immutable. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - parameters (`NamespaceCreateOrUpdateParameters`) – Parameters supplied to create a Namespace Resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NamespaceResource`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates an authorization rule for a namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - authorization_rule_name (str) – Aauthorization Rule Name.
    - parameters (`SharedAccessAuthorizationRuleCreateOrUpdateParameters`) – The shared access authorization rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SharedAccessAuthorizationRuleResource`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Deletes an existing namespace. This operation also removes all associated notificationHubs under the namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `delete_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes a namespace authorization rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - authorization_rule_name (str) – Authorization Rule Name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Returns the description for the specified namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NamespaceResource`
    Return type: | `ClientRawResponse` if raw=true

  `get_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets an authorization rule for a namespace by name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name
    - authorization_rule_name (str) – Authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SharedAccessAuthorizationRuleResource`
    Return type: | `ClientRawResponse` if raw=true

  `get_long_running_operation_status`(operation_status_link, custom_headers=None, raw=False, **operation_config)

    The Get Operation Status operation returns the status of the specified operation. After calling an asynchronous operation, you can call Get Operation Status to determine whether the operation has succeeded, failed, or is still in progress.

    Parameters:

    - operation_status_link (str) – Location value returned by the Begin operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the available namespaces within a resourceGroup.

    Parameters:

    - resource_group_name (str) – The name of the resource group. If resourceGroupName value is null the method lists all the namespaces within subscription
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NamespaceResourcePaged`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Lists all the available namespaces within the subscription irrespective of the resourceGroups.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NamespaceResourcePaged`

  `list_authorization_rules`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets the authorization rules for a namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SharedAccessAuthorizationRuleResourcePaged`

  `list_keys`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets the Primary and Secondary ConnectionStrings to the namespace .

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - authorization_rule_name (str) – The connection string of the namespace for the specified authorizationRule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceListKeys`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.notificationhubs.operations.``NotificationHubsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NotificationHubsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `check_availability`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, **operation_config)

    Checks the availability of the given notificationHub in a namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - parameters (`CheckAvailabilityParameters`) – The notificationHub name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CheckAvailabilityResource`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update`(resource_group_name, namespace_name, notification_hub_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates/Update a NotificationHub in a namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - notification_hub_name (str) – The notification hub name.
    - parameters (`NotificationHubCreateOrUpdateParameters`) – Parameters supplied to the create/update a NotificationHub Resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NotificationHubResource`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_authorization_rule`(resource_group_name, namespace_name, notification_hub_name, authorization_rule_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates/Updates an authorization rule for a NotificationHub.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - notification_hub_name (str) – The notification hub name.
    - authorization_rule_name (str) – Authorization Rule Name.
    - parameters (`SharedAccessAuthorizationRuleCreateOrUpdateParameters`) – The shared access authorization rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SharedAccessAuthorizationRuleResource`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, namespace_name, notification_hub_name, custom_headers=None, raw=False, **operation_config)

    Deletes a notification hub associated with a namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - notification_hub_name (str) – The notification hub name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `delete_authorization_rule`(resource_group_name, namespace_name, notification_hub_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes a notificationHub authorization rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - notification_hub_name (str) – The notification hub name.
    - authorization_rule_name (str) – Authorization Rule Name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, namespace_name, notification_hub_name, custom_headers=None, raw=False, **operation_config)

    Lists the notification hubs associated with a namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - notification_hub_name (str) – The notification hub name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NotificationHubResource`
    Return type: | `ClientRawResponse` if raw=true

  `get_authorization_rule`(resource_group_name, namespace_name, notification_hub_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets an authorization rule for a NotificationHub by name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name
    - notification_hub_name (str) – The notification hub name.
    - authorization_rule_name (str) – authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SharedAccessAuthorizationRuleResource`
    Return type: | `ClientRawResponse` if raw=true

  `get_pns_credentials`(resource_group_name, namespace_name, notification_hub_name, custom_headers=None, raw=False, **operation_config)

    Lists the PNS Credentials associated with a notification hub .

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - notification_hub_name (str) – The notification hub name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NotificationHubResource`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Lists the notification hubs associated with a namespace.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NotificationHubResourcePaged`

  `list_authorization_rules`(resource_group_name, namespace_name, notification_hub_name, custom_headers=None, raw=False, **operation_config)

    Gets the authorization rules for a NotificationHub.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name
    - notification_hub_name (str) – The notification hub name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SharedAccessAuthorizationRuleResourcePaged`

  `list_keys`(resource_group_name, namespace_name, notification_hub_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets the Primary and Secondary ConnectionStrings to the NotificationHub .

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - namespace_name (str) – The namespace name.
    - notification_hub_name (str) – The notification hub name.
    - authorization_rule_name (str) – The connection string of the NotificationHub for the specified authorizationRule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceListKeys`
    Return type: | `ClientRawResponse` if raw=true